package com.xtd.project.assets.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xtd.framework.aspectj.lang.annotation.Excel;
import com.xtd.framework.web.domain.BaseEntity;
import java.util.Date;

/**
 * 资产报废对象 db_assets_stock_scrap
 *
 * @author xtd
 * @date 2020-04-17
 */
public class DbAssetsStockScrap extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long aId;

    /** 报废类型 */
    @Excel(name = "报废类型")
    private String scrapType;

    /** 资产类型 */
    @Excel(name = "资产类型")
    private Long dbMaterielId;

    /** 供应商id */
    @Excel(name = "供应商id")
    private Long dbSupplierId;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String dbSupplierName;

    /** 资产id */
    @Excel(name = "资产id")
    private Long dbAsStId;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String dbAsStName;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String dbAsStNumber;

    /** 报废时间 */
    @Excel(name = "报废时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date scrapTime;

    /** 处理部门id */
    @Excel(name = "处理部门id")
    private Long depId;

    /** 处理部门名称 */
    @Excel(name = "处理部门名称")
    private String depName;

    /** 报废原因 */
    @Excel(name = "报废原因")
    private String scrapReason;

    /** 处理人id */
    @Excel(name = "处理人id")
    private Long scrapUserId;

    /** 处理人 */
    @Excel(name = "处理人")
    private String scrapUser;

    /** 流程id */
    @Excel(name = "流程id")
    private String instanceId;

    /** 流程id */
    @Excel(name = "流程id")
    private String taskId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;



    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public void setaId(Long aId)
    {
        this.aId = aId;
    }

    public Long getaId()
    {
        return aId;
    }
    public void setScrapType(String scrapType)
    {
        this.scrapType = scrapType;
    }

    public String getScrapType()
    {
        return scrapType;
    }
    public void setDbMaterielId(Long dbMaterielId)
    {
        this.dbMaterielId = dbMaterielId;
    }

    public Long getDbMaterielId()
    {
        return dbMaterielId;
    }
    public void setDbSupplierId(Long dbSupplierId)
    {
        this.dbSupplierId = dbSupplierId;
    }

    public Long getDbSupplierId()
    {
        return dbSupplierId;
    }
    public void setDbSupplierName(String dbSupplierName)
    {
        this.dbSupplierName = dbSupplierName;
    }

    public String getDbSupplierName()
    {
        return dbSupplierName;
    }
    public void setDbAsStId(Long dbAsStId)
    {
        this.dbAsStId = dbAsStId;
    }

    public Long getDbAsStId()
    {
        return dbAsStId;
    }
    public void setDbAsStName(String dbAsStName)
    {
        this.dbAsStName = dbAsStName;
    }

    public String getDbAsStName()
    {
        return dbAsStName;
    }
    public void setDbAsStNumber(String dbAsStNumber)
    {
        this.dbAsStNumber = dbAsStNumber;
    }

    public String getDbAsStNumber()
    {
        return dbAsStNumber;
    }
    public void setScrapTime(Date scrapTime)
    {
        this.scrapTime = scrapTime;
    }

    public Date getScrapTime()
    {
        return scrapTime;
    }
    public void setDepId(Long depId)
    {
        this.depId = depId;
    }

    public Long getDepId()
    {
        return depId;
    }
    public void setDepName(String depName)
    {
        this.depName = depName;
    }

    public String getDepName()
    {
        return depName;
    }
    public void setScrapReason(String scrapReason)
    {
        this.scrapReason = scrapReason;
    }

    public String getScrapReason()
    {
        return scrapReason;
    }
    public void setScrapUserId(Long scrapUserId)
    {
        this.scrapUserId = scrapUserId;
    }

    public Long getScrapUserId()
    {
        return scrapUserId;
    }
    public void setScrapUser(String scrapUser)
    {
        this.scrapUser = scrapUser;
    }

    public String getScrapUser()
    {
        return scrapUser;
    }
    public void setInstanceId(String instanceId)
    {
        this.instanceId = instanceId;
    }

    public String getInstanceId()
    {
        return instanceId;
    }
    public void setState(Integer state)
    {
        this.state = state;
    }

    public Integer getState()
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("aId", getaId())
            .append("scrapType", getScrapType())
            .append("dbMaterielId", getDbMaterielId())
            .append("dbSupplierId", getDbSupplierId())
            .append("dbSupplierName", getDbSupplierName())
            .append("dbAsStId", getDbAsStId())
            .append("dbAsStName", getDbAsStName())
            .append("dbAsStNumber", getDbAsStNumber())
            .append("scrapTime", getScrapTime())
            .append("depId", getDepId())
            .append("depName", getDepName())
            .append("scrapReason", getScrapReason())
            .append("scrapUserId", getScrapUserId())
            .append("scrapUser", getScrapUser())
            .append("remark", getRemark())
            .append("instanceId", getInstanceId())
            .append("state", getState())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
